# $Id: rrdtool.spec,v 1.2 2003/03/05 10:10:13 dude Exp $

Summary: Round Robin Database Tool to store and display time-series data.
Name: rrdtool
Version: 1.0.41
Release: fr2
License: GPL
Group: Applications/Databases
Source: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/%{name}-%{version}.tar.gz
URL: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
BuildRoot: %{_tmppath}/%{name}-root
Requires: perl = %(rpm -q --qf '%%{version}' perl)
BuildRequires: perl

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and 
display time-series data (i.e. network bandwidth, machine-room temperature, 
server load average). It stores the data in a very compact way that will not 
expand over time, and it presents useful graphs by processing the data to 
enforce a certain data density. It can be used either via simple wrapper 
scripts (from shell or Perl) or via frontends that poll network devices and 
put a friendly user interface on it.


%package devel
Summary: RRDtool static libraries and header files.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library.


%prep
%setup -q

%build
%configure --enable-shared
make

# Fix @perl@ and @PERL@
find examples/ -type f \
	-exec /usr/bin/perl -pi -e 's|^#! \@perl\@|#!/usr/bin/perl|gi' \{\} \;
find examples/ -name "*.pl" \
	-exec perl -pi -e 's|\015||gi' \{\} \;

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Put perl files back where they belong
mkdir -p %{buildroot}%{perl_sitearch}/
mv %{buildroot}%{_libdir}/perl/* %{buildroot}%{perl_sitearch}/

# We only want .txt and .html files for the main documentation
mkdir -p doc2/doc
cp -a doc/*.txt doc/*.html doc2/doc/

# Clean up the examples and contrib
rm -f examples/Makefile*
rm -f contrib/Makefile*

# Put man pages back into place...
mkdir -p %{buildroot}%{_mandir}/
mv %{buildroot}%{_prefix}/man/* %{buildroot}%{_mandir}/

# Clean up the buildroot
rm -rf %{buildroot}%{_prefix}/{contrib,doc,examples,html}

%clean
rm -rf %{buildroot}
 
%files
%defattr(-, root, root)
%doc CHANGES CONTRIBUTORS COPYING README TODO doc2/doc
%{_bindir}/*
%{_libdir}/*.so*
%{perl_sitearch}/*.pm
%{perl_sitearch}/auto/*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%doc contrib examples
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la

%changelog
* Wed Mar  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added explicit perl version dependency.

* Sun Feb 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.41.

* Fri Jan 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.40.
- Spec file cleanup.

* Fri Jul 05 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 1.0.39

* Mon Jun 03 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 1.0.38

* Fri Apr 19 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 1.0.37

* Tue Mar 12 2002 Henri Gomez <hgomez@users.sourceforge.net>
- 1.0.34
- rrdtools include zlib 1.1.4 which fix vulnerabilities in 1.1.3

